Subject: Re: bug#59351: 29.0.50; [PATCH] Fix mouse click position to menu bar entry

From: Po Lu <[email-masked]>
Date: Fri, 18 Nov 2022 21:20:48 +0800

Eli Zaretskii <[email-masked]> writes:

> When you click on the menu bar, Emacs drops down a menu, right?  For
> example, if you click on "File", you will see a menu with items like
> "Visit New File...", "Open File..." etc.  After that, if you click in
> the dropped-down menu, is the code you suggest to modify involved, and
> if so, does the conversion from X/Y to COL/ROW still work?

Right, that is a problem.  I tried and saw the menu selection stop
working at all.

My suggestion is to use the new code only under X, which is the only
place where that piece of keyboard.c is used and variable-width fonts
are supported.